> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Webhook Secret

> Gets the webhook secret for a workflow.

`Unary` · [`Workflows`](/docs/api-reference/generated/workflow/overview)

Gets the webhook secret for a workflow.

This operation is audited for security purposes.

Use this method to:

* Retrieve webhook secret for configuration
* Set up webhook integrations
* Verify webhook signatures

### Examples

* Get webhook secret:

  Retrieves the webhook secret for a workflow.

  ```yaml theme={null}
  workflowId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  ```

## Endpoint

```text theme={null}
POST /api/gitpod.v1.WorkflowService/GetWorkflowWebhookSecret
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.WorkflowService/GetWorkflowWebhookSecret" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "workflowId": "<workflow-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.workflow_pb2 as workflow_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = workflow_pb2.GetWorkflowWebhookSecretRequest(
      workflow_id="<workflow-id>",
  )
  response = ona.services.workflow.get_workflow_webhook_secret(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { GetWorkflowWebhookSecretRequestSchema } from "@gitpod/sdk/gitpod/v1/workflow_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(GetWorkflowWebhookSecretRequestSchema, {
      workflowId: "<workflow-id>",
    });
    const response = await ona.services.workflow.getWorkflowWebhookSecret(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.GetWorkflowWebhookSecretRequest{
  		WorkflowId: "<workflow-id>",
  	})
  	response, err := ona.Services.Workflow.GetWorkflowWebhookSecret(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "workflowId": "<workflow-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.GetWorkflowWebhookSecretRequest`

GetWorkflowWebhookSecretRequest retrieves the webhook secret for a workflow.

| Field        | Type   | Required | Description                      |
| ------------ | ------ | -------- | -------------------------------- |
| `workflowId` | string | No       | Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.GetWorkflowWebhookSecretResponse`

| Field    | Type   | Required | Description                  |
| -------- | ------ | -------- | ---------------------------- |
| `secret` | string | No       | The decrypted webhook secret |
